[augeas-devel] [PATCH 11/11] * tests/test-get.sh: use new descendant syntax to find errors

David Lutterkort lutter at redhat.com
Mon Jan 26 05:41:24 UTC 2009


---
 tests/test-get.sh |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/tests/test-get.sh b/tests/test-get.sh
index 96431f8..2605aef 100755
--- a/tests/test-get.sh
+++ b/tests/test-get.sh
@@ -9,5 +9,9 @@ TOPDIR=$(cd $(dirname $0)/.. && pwd)
 export AUGEAS_LENS_LIB=$abs_top_srcdir/lenses
 export AUGEAS_ROOT=$abs_top_srcdir/tests/root
 
-augtool --nostdinc print '/augeas/files' | grep -q /error && ret=1 || ret=0
-exit $ret
+errors=$(augtool --nostdinc match '/augeas//error')
+
+if [ "x$errors" != "x  (no matches)" ] ; then
+    printf "get /augeas//error reported errors:\n%s\n" "$errors"
+    exit 1
+fi
-- 
1.6.0.6




More information about the augeas-devel mailing list